Skip to main content
GET
/
v2
/
users
/
{userId}
/
accounts
/
{accountId}
Retrieve an account
curl --request GET \
  --url https://production.hifibridge.com/v2/users/{userId}/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/users/{userId}/accounts/{accountId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/users/{userId}/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "d748da4f-aeb1-4a9d-af30-62ae7e82b897",
  "createdAt": "2025-09-27T03:34:12.181Z",
  "updatedAt": "2025-09-27T03:34:12.181Z",
  "accountHolder": {
    "type": "individual",
    "name": "Henry Wu",
    "address": {
      "addressLine1": "Example St 1",
      "addressLine2": "Apt 123",
      "city": "New York",
      "stateProvinceRegion": "NY",
      "postalCode": "10010",
      "country": "USA"
    }
  },
  "us": {
    "accountType": "Checking",
    "accountNumber": "123456789",
    "routingNumber": "021000021",
    "iban": null,
    "swiftCode": null,
    "bankName": "Bank of NoWhere",
    "bankCountry": "USA",
    "bankAddress": {
      "addressLine1": "Example St 1",
      "addressLine2": "Apt 123",
      "city": "New York",
      "stateProvinceRegion": "NY",
      "postalCode": "10010",
      "country": "USA"
    },
    "currency": "usd"
  },
  "rail": {
    "currency": "usd",
    "railType": "offramp",
    "paymentRail": "ach"
  }
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

accountId
string
required

ID of the account

Response

Success

accountId
string
userId
string
createdAt
string<date-time>
accountType
string
accountNumber
string
routingNumber
string
bankName
string
isValid
boolean
reason
string
rail
object